list2Matrix {Rintact} | R Documentation

## A function that takes a named list representation of a bipartite graph and transforms it into a matrix representation.

### Description

The `list2Matrix` takes in a named list (representing a bipartite graph) and transforms into into a (0,1)-matrix representation. The names of the list index the columns and the union of the elements of the list index the row. The (i,j) position of the matrix is 1 if element i is in the list element indexed by name j, and it is 0 otherwise.

### Usage

    list2Matrix(namedList, type="interaction")

### Arguments

`namedList` | A named list. The list represents a bipartite graph.
`type` | If type is "interaction", the return value is a bait-prey adjacency matrix with baits indexing the columns and prey indexing rows. If type is "complex", the return value is an incidence matrix with complexes indexing the columns and proteins indexing the rows

### Value

A (0,1)-matrix representation of the bipartite graph.

### Author(s)

T Chiang

### Examples

    eg = list(first = letters[1:5], second = letters[4:8])
    list2Matrix(eg)

[Package Rintact version 1.4.0 Index]